## fso-specs 2010.05.11.2

=== org.freedesktop.Gypsy/Makefile ===
files = \
  org.freedesktop.Gypsy.Accuracy.xml \
  org.freedesktop.Gypsy.Course.xml \
  org.freedesktop.Gypsy.Device.xml \
  org.freedesktop.Gypsy.Position.xml \
  org.freedesktop.Gypsy.Time.xml \

include ../tools/rules.mk

=== org.freesmartphone.GSM/Makefile ===
files = \
  org.freesmartphone.GSM.Error.xml \
  org.freesmartphone.GSM.Call.xml \
  org.freesmartphone.GSM.CB.xml \
  org.freesmartphone.GSM.Debug.xml \
  org.freesmartphone.GSM.Device.xml \
  org.freesmartphone.GSM.HZ.xml \
  org.freesmartphone.GSM.Monitor.xml \
  org.freesmartphone.GSM.MUX.xml \
  org.freesmartphone.GSM.Network.xml \
  org.freesmartphone.GSM.PDP.xml \
  org.freesmartphone.GSM.SIM.xml \
  org.freesmartphone.GSM.SMS.xml \

include ../tools/rules.mk

=== org.freesmartphone.MusicPlayer/Makefile ===
files = \
  org.freesmartphone.MusicPlayer.xml \
  org.freesmartphone.MusicPlayer.Playlist.xml \

include ../tools/rules.mk

=== debian/changelog ===
fso-specs (2010.05.11.2-1) unstable; urgency=low

  * New upstream snapshot
  * Add patch to use local style.css (Closes: #581974)
  * Add patch to remove link rebase in index.html

 -- Heiko Stuebner <heiko@sntech.de>  Tue, 18 May 2010 19:30:24 +0200

fso-specs (0+git20100508-1) unstable; urgency=low

  * New upstream snapshot

 -- Heiko Stuebner <heiko@sntech.de>  Sun, 09 May 2010 14:45:10 +0200

fso-specs (0+git20100403-1) unstable; urgency=low

  * Initial release

 -- Heiko Stuebner <heiko@sntech.de>  Sun, 04 Apr 2010 12:15:10 +0200

=== debian/control ===
Source: fso-specs
Section: devel
Priority: extra
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Heiko Stuebner <heiko@sntech.de>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               cdbs,
               debhelper (>= 7),
               libxml2-utils,
               python,
               xsltproc
Standards-Version: 3.8.4
Homepage: http://freesmartphone.org/
Vcs-Git: git://git.debian.org/git/pkg-fso/fso-specs.git
Vcs-Browser: http://git.debian.org/?p=pkg-fso/fso-specs.git;a=summary

Package: fso-specs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: freesmartphone.org DBus XML specification & documentation
 The Desktop-Bus prepares applications to communicate with another
 by the sending of predefined signals. The process is agnostic about
 programming languages, but the collaborating tools need to agree on a 
 common set of signals and their interpretation.  This package provides
 the DBus specifications of the freesmartphone.org software stack that is
 targeted for smartphones.  Process these with a dbus binding generator
 to create stubs for your program.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

#DEB_INSTALL_DOCS_ALL =
#DEB_DESTDIR = $(CURDIR)/debian/tmp/

install/fso-specs::
	cp -r html debian/fso-specs/usr/share/doc/fso-specs

## fso-specs 2010.08.27.1

=== debian/changelog ===
fso-specs (2010.08.27.1-1) experimental; urgency=low

  * New upstream snapshot

 -- Heiko Stuebner <heiko@sntech.de>  Sat, 28 Aug 2010 13:56:07 +0200

fso-specs (2010.07.30.1-1) experimental; urgency=low

  * New upstream snapshot
  * Bump standards to 3.9.1

 -- Heiko Stuebner <heiko@sntech.de>  Tue, 17 Aug 2010 21:00:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxml2-utils,
                python,
                xsltproc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://freesmartphone.org/
 Vcs-Git: git://git.debian.org/git/pkg-fso/fso-specs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fso/fso-specs.git;a=summary

## fso-specs 2011.06.01.1

=== net.connman/Makefile ===
files = \
        net.connman.Manager.xml \
        net.connman.Profile.xml \
        net.connman.Technology.xml \

include ../tools/rules.mk

=== org.bluez/Makefile ===
files = \
	org.bluez.Adapter.xml \
	org.bluez.Manager.xml \
	org.bluez.NetworkServer.xml \
	org.bluez.SerialProxyManager.xml \
	org.bluez.Service.xml.in

include ../tools/rules.mk

=== org.freesmartphone.Application/Makefile ===
files = \
  org.freesmartphone.Application.Manager.xml \
  org.freesmartphone.Application.Session.xml

include ../tools/rules.mk

=== org.sflphone.SFLphone/Makefile ===
files = \
	org.sflphone.SFLphone.CallManager.xml \
	org.sflphone.SFLphone.ConfigurationManager.xml \
	org.sflphone.SFLphone.Instance.xml

include ../tools/rules.mk

=== debian/changelog ===
fso-specs (2011.06.01.1-1) unstable; urgency=low

  [ Rico Rommel ]
  * New upstream snapshot
  * add Rico Rommel <rico@bierrommel.de> to uploaders
  * add quilt to build dependencies
  * update standards to 3.9.2
  * fixed build

  [ Sebastian Reichel ]
  * add me to uploaders
  * apply Rico's upstream cleanup patch on upstream
    branch, so that we have a clean orig.tar.gz and
    document this in README.source
  * update debian/copyright and use DEP5 format
  * remove some useless files from the package
  * switch from cdbs to debhelper
  * add doc-base control file

 -- Sebastian Reichel <sre@debian.org>  Sat, 20 Aug 2011 00:08:40 +0200

=== debian/control ===
Source: fso-specs
Section: devel
Priority: extra
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Heiko Stuebner <heiko@sntech.de>, Rico Rommel <rico@bierrommel.de>, Sebastian Reichel <sre@debian.org>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dh-autoreconf,
               libxml2-utils,
               python,
               quilt,
               xsltproc
Standards-Version: 3.9.2
Homepage: http://freesmartphone.org/
Vcs-Git: git://git.debian.org/git/pkg-fso/fso-specs.git
Vcs-Browser: http://git.debian.org/?p=pkg-fso/fso-specs.git;a=summary

Package: fso-specs
Architecture: all
Depends: ${misc:Depends}
Description: freesmartphone.org D-Bus XML specification & documentation
 The Desktop-Bus prepares applications to communicate with another
 by the sending of predefined signals. The process is agnostic about
 programming languages, but the collaborating tools need to agree on a 
 common set of signals and their interpretation.  This package provides
 the DBus specifications of the freesmartphone.org software stack that is
 targeted for smartphones.  Process these with a D-Bus binding generator
 to create stubs for your program.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with quilt --with autoreconf

override_dh_auto_clean:
	[ ! -f Makefile ] || make maintainer-clean
	rm -rf xml/* html/org.*.html html/net.*.html

override_dh_installdocs:
	# we only want the html documentation
	dh_installdocs -XAUTHORS -XREADME html

override_dh_installchangelogs:
	# do not install upstream's changelog.
	# (it just tells one to check git)
	dh_installchangelogs -XChangeLog

## fso-specs 2012.02.16.1

=== debian/changelog ===
fso-specs (2012.02.16.1-1) unstable; urgency=low

  [ Rico Rommel ]
  * New upstream snapshot
  * remove org.bluez patch
  * refresh fix-index.html.patch

  [ Sebastian Reichel ]
  * update debian/copyright

 -- Sebastian Reichel <sre@debian.org>  Fri, 09 Mar 2012 20:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python,
                quilt,
                xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://freesmartphone.org/
 Vcs-Git: git://git.debian.org/git/pkg-fso/fso-specs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fso/fso-specs.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_installdocs:
 	# we only want the html documentation
-	dh_installdocs -XAUTHORS -XREADME html
+	dh_installdocs -XAUTHORS -XREADME -X.html.in html
 
 override_dh_installchangelogs:
 	# do not install upstream's changelog.

=== debian/watch ===
# no releases, snapshots from git are used

## fso-specs 2012.05.24.1

=== org.freesmartphone.Data/Makefile ===
files = \
  org.freesmartphone.Data.World.xml \

include ../tools/rules.mk

=== org.freesmartphone.GSM/Makefile ===
--- 
+++ 
@@ -11,5 +11,6 @@
   org.freesmartphone.GSM.PDP.xml \
   org.freesmartphone.GSM.SIM.xml \
   org.freesmartphone.GSM.SMS.xml \
+  org.freesmartphone.GSM.VoiceMail.xml \
 
 include ../tools/rules.mk

=== debian/changelog ===
fso-specs (2012.05.24.1-1) unstable; urgency=low

  [ Simon Busch ]
  * Import upstream version 2012.05.24.1

  [ Sebastian Reichel ]
  * Switch to Debian Copyright Format 1.0
  * Install upstream changelog

 -- Sebastian Reichel <sre@debian.org>  Thu, 24 May 2012 12:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
-Uploaders: Heiko Stuebner <heiko@sntech.de>, Rico Rommel <rico@bierrommel.de>, Sebastian Reichel <sre@debian.org>
+Uploaders: Heiko Stuebner <heiko@sntech.de>,
+           Rico Rommel <rico@bierrommel.de>,
+           Sebastian Reichel <sre@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: autotools-dev,
                debhelper (>= 8),

## fso-specs 2012.07.27.2

=== org.freesmartphone.Audio/Makefile ===
files = \
  org.freesmartphone.Audio.Manager.xml

include ../tools/rules.mk

=== org.freesmartphone.Context/Makefile ===
files = \
  org.freesmartphone.Context.Client.xml \
  org.freesmartphone.Context.Manager.xml \

include ../tools/rules.mk

=== org.freesmartphone.Device/Makefile ===
files = \
  org.freesmartphone.Device.AmbientLight.xml \
  org.freesmartphone.Device.Audio.xml \
  org.freesmartphone.Device.Display.xml \
  org.freesmartphone.Device.LED.xml \
  org.freesmartphone.Device.Info.xml \
  org.freesmartphone.Device.Input.xml \
  org.freesmartphone.Device.IdleNotifier.xml \
  org.freesmartphone.Device.Orientation.xml \
  org.freesmartphone.Device.PowerControl.xml \
  org.freesmartphone.Device.PowerSupply.xml \
  org.freesmartphone.Device.Proximity.xml \
  org.freesmartphone.Device.RealtimeClock.xml \
  org.freesmartphone.Device.Vibrator.xml

include ../tools/rules.mk

=== org.freesmartphone.Events/Makefile ===
files = \
  org.freesmartphone.Events.xml \

include ../tools/rules.mk

=== org.freesmartphone.GSM/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 files = \
   org.freesmartphone.GSM.Error.xml \
   org.freesmartphone.GSM.Call.xml \
+  org.freesmartphone.GSM.CallForwarding.xml \
   org.freesmartphone.GSM.CB.xml \
   org.freesmartphone.GSM.Debug.xml \
   org.freesmartphone.GSM.Device.xml \

=== org.freesmartphone.Network/Makefile ===
files = \
  org.freesmartphone.Network.xml \

include ../tools/rules.mk

=== org.freesmartphone.Notification/Makefile ===
files = \
  org.freesmartphone.Notification.xml \

include ../tools/rules.mk

=== org.freesmartphone.PIM/Makefile ===
files = \
  org.freesmartphone.PIM.Contact.xml \
  org.freesmartphone.PIM.Contacts.xml \
  org.freesmartphone.PIM.ContactQuery.xml \
  org.freesmartphone.PIM.Call.xml \
  org.freesmartphone.PIM.Calls.xml \
  org.freesmartphone.PIM.CallQuery.xml \
  org.freesmartphone.PIM.Message.xml \
  org.freesmartphone.PIM.Messages.xml \
  org.freesmartphone.PIM.MessageQuery.xml \
  org.freesmartphone.PIM.Note.xml \
  org.freesmartphone.PIM.Notes.xml \
  org.freesmartphone.PIM.NoteQuery.xml \
  org.freesmartphone.PIM.Date.xml \
  org.freesmartphone.PIM.Dates.xml \
  org.freesmartphone.PIM.DateQuery.xml \
  org.freesmartphone.PIM.Task.xml \
  org.freesmartphone.PIM.Tasks.xml \
  org.freesmartphone.PIM.TaskQuery.xml \
  org.freesmartphone.PIM.Fields.xml \
  org.freesmartphone.PIM.Types.xml

include ../tools/rules.mk

=== org.freesmartphone.Phone/Makefile ===
files = \
  org.freesmartphone.Phone.xml \
  org.freesmartphone.Phone.Call.xml

include ../tools/rules.mk

=== org.freesmartphone.Preferences/Makefile ===
NULL =

files = \
  org.freesmartphone.Preferences.xml \
  org.freesmartphone.Preferences.Service.xml \
  $(NULL)

include ../tools/rules.mk

=== org.freesmartphone.Time/Makefile ===
files = \
  org.freesmartphone.Time.Alarm.xml \

include ../tools/rules.mk

=== org.freesmartphone.Usage/Makefile ===
files = \
  org.freesmartphone.Usage.xml \
  org.freesmartphone.Resource.xml \

include ../tools/rules.mk

=== debian/changelog ===
fso-specs (2012.07.27.2-2) unstable; urgency=low

  * Update Debian Standards Version to 3.9.8
  * Use canonical VCS urls
  * Switch to compat level 10
  * Update watch file to use github
  * Enable multi-arch

 -- Sebastian Reichel <sre@debian.org>  Mon, 26 Sep 2016 15:58:16 +0200

fso-specs (2012.07.27.2-1) unstable; urgency=low

  [ Lukas Märdian ]
  * New upstream release

  [ Sebastian Reichel ]
  * Update Debian Standards Version to 3.9.4

 -- Sebastian Reichel <sre@debian.org>  Sun, 07 Oct 2012 12:45:27 +0200

=== debian/control ===
Source: fso-specs
Section: devel
Priority: extra
Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Heiko Stuebner <heiko@sntech.de>,
           Rico Rommel <rico@bierrommel.de>,
           Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               libxml2-utils,
               python,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.freesmartphone.org/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-fso/fso-specs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fso/fso-specs.git

Package: fso-specs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: freesmartphone.org D-Bus XML specification & documentation
 The Desktop-Bus prepares applications to communicate with another
 by the sending of predefined signals. The process is agnostic about
 programming languages, but the collaborating tools need to agree on a 
 common set of signals and their interpretation.  This package provides
 the DBus specifications of the freesmartphone.org software stack that is
 targeted for smartphones.  Process these with a D-Bus binding generator
 to create stubs for your program.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	[ ! -f Makefile ] || make maintainer-clean
	rm -rf xml/* html/org.*.html html/net.*.html
	dh_auto_configure

override_dh_installdocs:
	# we only want the html documentation
	dh_installdocs -XAUTHORS -XREADME -X.html.in html

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S*)\.tar\.gz/fso-specs-$1\.tar\.gz/ \
  https://github.com/freesmartphone/specs/releases .*/(\d\S*)\.tar\.gz
